Categories:
  - Multimedia
License: GPL-2.0-or-later
AuthorName: Jellyfin
AuthorEmail: apps@jellyfin.org
AuthorWebSite: https://jellyfin.org/
WebSite: https://jellyfin.org/
SourceCode: https://github.com/jellyfin/jellyfin-androidtv
IssueTracker: https://github.com/jellyfin/jellyfin-androidtv/issues
Translation: https://translate.jellyfin.org/engage/jellyfin-android/
Changelog: https://github.com/jellyfin/jellyfin-androidtv/releases
OpenCollective: jellyfin

AutoName: Jellyfin

RepoType: git
Repo: https://github.com/jellyfin/jellyfin-androidtv
Binaries: https://repo.jellyfin.org/releases/client/androidtv/versions/v%v/jellyfin-androidtv-v%v-release.apk

Builds:
  - versionName: 0.15.5
    versionCode: 150599
    commit: v0.15.5
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild:
      - sed -i -e 's/s01.oss.sonatype.org.*"/maven.google.com"/' ../settings.gradle.kts
      - echo 'rootProject.name="jellyfin-androidtv"' >> ../settings.gradle.kts
      - echo 'jellyfin.version=$$VERSION$$' >> ../gradle.properties

AutoUpdateMode: Version v%v
UpdateCheckMode: HTTP
UpdateCheckIgnore: (beta|rc)
UpdateCheckData: https://repo.jellyfin.org/releases/client/androidtv/version.txt|^v.*?=(\d+)|.|^v(.*?)=\d+
CurrentVersion: 0.15.5
CurrentVersionCode: 150599
